Loading...
Searching...
No Matches
caf::byte_address< Derived > Class Template Reference

Base type for addresses based on a byte representation such as IP or Ethernet addresses. More...

`#include <byte_address.hpp>`

Inheritance diagram for caf::byte_address< Derived >:

## Public Member Functions

uint8_t & | operator[] (size_t index) noexcept
| Returns the byte at given index.
const uint8_t & | operator[] (size_t index) const noexcept
| Returns the byte at given index.
size_t | size () const noexcept
| Returns the number of bytes of the address.
int | compare (const Derived &other) const noexcept
| Returns a negative number if *this < other, zero if *this == other and a positive number if *this > other.
Derived | network_address (size_t prefix_length) const noexcept
Derived & | operator&= (const Derived &other)
| Bitwise ANDs *this and other.
Derived & | operator|= (const Derived &other)
| Bitwise ORs *this and other.
Derived & | operator^= (const Derived &other)
| Bitwise XORs *this and other.

## Friends

Derived | operator& (const Derived &x, const Derived &y)
Derived | operator| (const Derived &x, const Derived &y)
Derived | operator^ (const Derived &x, const Derived &y)

## Detailed Description

template<class Derived>
class caf::byte_address< Derived >

Base type for addresses based on a byte representation such as IP or Ethernet addresses.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/byte_address.hpp